package chess4j.pieces;

import java.util.List;


import org.testng.annotations.Test;

import chess4j.board.directions.Direction;
import chess4j.board.directions.NorthEast;
import chess4j.board.directions.NorthWest;
import chess4j.board.directions.SouthEast;
import chess4j.board.directions.SouthWest;
import chess4j.pieces.Bishop;


public class BishopTest {

	@Test
	public void directionsTest() {
		List<Direction> dirs = Bishop.WHITE_BISHOP.getDirections();
		assert(dirs.size()==4);
		assert(dirs.contains(NorthEast.getInstance()));
		assert(dirs.contains(NorthWest.getInstance()));
		assert(dirs.contains(SouthEast.getInstance()));
		assert(dirs.contains(SouthWest.getInstance()));
	}
}
